<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KArtsDispatcher</name>
    <filename>classKArtsDispatcher.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>9dba4512326853f51eaa79e42388e406</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>161b98dcc35472cadfc8fabba1b77465</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsFloatWatch</name>
    <filename>classKArtsFloatWatch.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>9681a1c2a32cb5509120fd089e9b5b18</anchor>
      <arglist>(float newValue)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>b2d6f748812caa3cc5616d06fa31cccc</anchor>
      <arglist>(Arts::Object object, const char *stream, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>e7bff3ecb338773be4f26de5cda3bc95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>Arts::KFloatWatchProxy_impl</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>df36df73f1130b797f7553860911f30f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsServer</name>
    <filename>classKArtsServer.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>restartedServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>35c63810284e1babca345d701bf2a8ea</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>cf86ccd63e7ddc6f3487dfe96b4a6c1b</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>45ce023780d2b2dbbc15d7e4ebf86e9e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Arts::SoundServerV2</type>
      <name>server</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>c5c5ca4daebb5b961e7b90bf654e2152</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioConverter</name>
    <filename>classKAudioConverter.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamStart</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a374cbeacb52dffef3c259c8b4a4b241</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>d4737469ea2b60e5d629e003680b3009</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>6024c2c9eb882960e680c2d5fc50db56</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>ce896b3c220cf28bf8ca7941bdb8f8d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamFinished</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>38308d4833e9514566416ca7a337e944</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>bef2b444eb03e3030f64dfd8f6188c55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>5786aad2889ee47a3542e3e35e746f63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setup</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>2b64f3e88ad09922a329d7cde2747c0d</anchor>
      <arglist>(int samplingRate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestPlayObject</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>f66ab4bcd70e92dcb01f03981d171421</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>b8385e775141343db3b26326f2660b1e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>674027d9b6acef7c895b17e0063c1272</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioManagerPlay</name>
    <filename>classKAudioManagerPlay.html</filename>
    <member kind="function">
      <type></type>
      <name>KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>dc0350471df1e87b7e18957b69ff8379</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>8a4dcd6a233dada812dd029421ce216d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::Synth_AMAN_PLAY</type>
      <name>amanPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>884bfdb9b84a1615e530aec14fe9a9a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>9e59d9a0ac12407c5b6742490020ba48</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>2e8a924bdcfd3453842a3294e859edce</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>41635d0f8f0ee26c8ce8da550b8baa89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>08b8103c44c4c8801a5cbc74c3d9c832</anchor>
      <arglist>(const QString &amp;autoRestoreID)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>autoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a676cf943b4f88b47044c35d62853c97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>fa25aee810bd205f96b31f62ef56970d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>d6b5e89d34aafe554bda06ff80afc226</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioPlayStream</name>
    <filename>classKAudioPlayStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>be065a8bd758cbedb31829b9bc4932d8</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>5e8a4a1044a371761c00a03f236a19b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>write</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>45f0558d88b7ba33d4462da96b1fb7f4</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>60755edf96263df4b61458e641b40a81</anchor>
      <arglist>(QByteArray &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>8c31b14c2752d906541ecfd5f55e7555</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>noData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>b97af90d127b8cf818be16e2baaade23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>30fecb669098be5f28f493da24756cae</anchor>
      <arglist>(KArtsServer *server, const QString title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>e11dec924fc097e6f76cbd91982c5952</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>2d4d76b44efd712bff7066d409ecdd53</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>d69df750241a09a3f6e5c64e677fc0d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>9d1f50bd1e1c9f953b62a1bed298da58</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>73ce003eced5214eba5c7701166c4c3e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>3cdf99ae10f09d68d8ec24ce046fe1c5</anchor>
      <arglist>(Arts::DataPacket&lt; Arts::mcopbyte &gt; *packet)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioRecordStream</name>
    <filename>classKAudioRecordStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>35e7c379309ca3abb7489114ebf72812</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>3a5f8781f31446e6999e3dd0548f5719</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>flush</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>e2ee2396996f148ce33e1577b0dd0cef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>data</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>729339731b484130736646de45042658</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>148b8c9beb2ff8908d1f028b3aaf5944</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>973eda44bf402225f7d9545be619cd8a</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>335177123b2467bd35578ab72339d2f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>read</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>7e565585755d32a47d3578add1f12f25</anchor>
      <arglist>(char *, int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBlockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>1d1a7180fe99c1162fdd93f86b271251</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>blockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>4637056d5a77625f5d9bd898bb225111</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>usePolling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>d7ab0f3c06d1d1a0b55b434bdfc1fbe3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>2154d5a0485f16a0d5d7804a16832245</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>4f296cdb9883dfcec40527ab2911cfac</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>247a572959d4b78ab975ab34ea87444c</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KConvertTest</name>
    <filename>classKConvertTest.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamStart</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>635e3506c1d9efdef44036d88186229e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockSize</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>bfc335db740ae4f1916ef44ee9e08ee3</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockPointer</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>501113729d3f9e8e8812d917db7bf516</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewData</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>cad6bd9215c517bb43b0d8728681611a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamFinished</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>67533aaac8c16b493627c39608dfee30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KConvertTest</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>1256b97c982727b7cddf176160057423</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMCOP</name>
    <filename>classKMCOP.html</filename>
    <base>QObject</base>
    <member kind="dcop">
      <type>int</type>
      <name>objectCount</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>a4bd7f34cd7ecb3e22dc3708f5cb5458</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>addInterfacesHackHackHack</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>96d2d9b3e2d622984267bbe500d1357f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>ac9dbf62145051a0b4fc534fa7a32be7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>91c14fb097a75d39da7a867d8052fe28</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotify</name>
    <filename>classKNotify.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>PlayingFinishedStatus</name>
      <anchor>747109bf12af73f2c45c8b9f9320c567</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>17d1a796006ad4b392408345bbadabec</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>e7b6d89364c5d7fd6874a84771bfdcfd</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>4c7e48b93e9aa8ec3d1851b780999695</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId, int eventId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>reconfigure</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>bbde45fcea7d64ee3e0690d8e0fb3165</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setVolume</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>a34d6e3c54964a2206a88f55757d27cd</anchor>
      <arglist>(int volume)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sessionReady</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>099079f6498d5684165d65b3bf3c654f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>487252021b9bf0e783ac7b10c59bf399</anchor>
      <arglist>(bool useArts)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>4ebdb01194c2e5206b9d0132e5ed0dba</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayObject</name>
    <filename>classKPlayObject.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>521144683acd4c84f37d87d513001fed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>5be40a0e6bbf8a307e5112eaebc7d224</anchor>
      <arglist>(Arts::PlayObject playobject, bool isStream)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>71254b2f3ca8e7a8ad4af0d97c4bb8d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>e683a5644369c5cb18dfc69544a1628d</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>0d3a439f759e76e73571b6be46083048</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>43941dcce6320e380cbd05e9bfaf7f70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>acde5202dd40811db2e0bb8bea8a360b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>1769f47accf8edafe8b2f3660bf76de2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>7cf07578f9183239fbc8102577ba2ce1</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>7e65d89355e8a1dff4f1a1f42b8665ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>112fa7aff3a9bc151c6ac0408c5a44c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>c49d06381a435060916e6f146e03e7d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>4ae6a1db6d7777b33c3e8374d9d26af3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>52c4dcbf7a86c76949f4455f23a5c968</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>449a7b1b3d4e7bf387a8770590c6989f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>e7b33f4d555931abbea532d47d3cab6b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>dd54f781676cafa3cfed06911779820a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayObjectFactory</name>
    <filename>classKPlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>f566434d5cff2ef1ebfa47ae30cc437c</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>6c1c5540dd826cb10926ac0306f4b0dd</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>89c7b41663e05d6bcd9f68d530b9590d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>b05c1cf705de44328236bdec6c5efd79</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>842cf36caf4336150ecbf9efa44e4c7c</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>cbac423aa4545d56243e940b213c1f9b</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>75f4306577bc6b9cf3f61d4695de1dbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAStream</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>d3c6e6e94345b58615a50239625c12ca</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KVideoWidget</name>
    <filename>classKVideoWidget.html</filename>
    <base>QWidget</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="slot">
      <type>void</type>
      <name>setFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>2ab56006599129b2e35032ee4ed32967</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setWindowed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>2d9d5efb5dd2a0591458a06a993d398c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>869062fee4bdc138b383547a827e4e64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>11f16c151b03caa55baec932b9d909bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a094709e50c350407cd55df938c55594</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resizeNotify</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>221dd2e2849b031998899cfcdd386495</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>adaptSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>cf6c86c20e4c07f58973533fde411ce3</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>fee1b8a071ab338569fd4f7188d00b11</anchor>
      <arglist>(int type, const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonDoubleClick</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>98da61c551ef59b3aeb96db81fa8c938</anchor>
      <arglist>(const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rightButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>94c7b4f07dd5590bbbb7b84fd58c4127</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>0f6e39fa53b559a2f03da2e8043b7cb4</anchor>
      <arglist>(KXMLGUIClient *clientParent, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>08d4c65acbb147676fa2c8dace831507</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>e618c7e00aa0f4e0d4b9e591e7486c51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>embed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>9751f7de98197144d9de296f5d6ee273</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmbedded</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>1ae5f51f869a2bd923c62ec59d54aabd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>15882f8044c3f6b038f782fe11a10377</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>cd207f151965f945271b2afc8926421e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>c7f761bc9d0ba1e7dc9b1cb31429cd5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>d42e4b76fc738cf4df638c7e911e14fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>8885b9a42c58ab8b2a239e549c6966ed</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>heightForWidth</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>652f145d69684a561951607f287b3813</anchor>
      <arglist>(int w) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QImage</type>
      <name>snapshot</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>94d8ac4d0b7abc4ad6c560872297b62d</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fullscreenActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>dc026017d5971accbdc736bc3aa2ba76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>halfSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>ff607fe2a4ec9436fceb8be6910d8782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>normalSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>7076dd635aa71fde49193ab2cf5ccef9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doubleSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>63f7426a0a627ef5ac591c57171ceef1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>64d54a99a73c3fb7750f9caa0433d615</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseDoubleClickEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>ed5363c184432656c1e47b9f5d79196a</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>af7b617358a2a5bf2127dee98a962ee3</anchor>
      <arglist>(QResizeEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>x11Event</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>93aa2ea743bc52a4058b534d5d08e3c6</anchor>
      <arglist>(XEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPObject</name>
    <filename>classMCOPDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>16f16cf62cf1199034a449552f83f271</anchor>
      <arglist>(QCString name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>809f0f6fa18e178750e86336d4ca73d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>f35fda772a3c2ab62edf82699a09717e</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>93d4b2ba5f9aabf1d3e271ee4cb979ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDynamicFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>c270b6c77ffdc59a6f040c4cef1ac356</anchor>
      <arglist>(QCString value, MCOPEntryInfo *entry)</arglist>
    </member>
    <member kind="function">
      <type>Arts::Buffer *</type>
      <name>callFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>bdb8e75ed2f54b5143549d09631126c4</anchor>
      <arglist>(MCOPEntryInfo *entry, QCString ifaceName, const QByteArray &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPTools</name>
    <filename>classMCOPDCOPTools.html</filename>
    <member kind="function" static="yes">
      <type>static long</type>
      <name>getLong</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>53e34641f8d6413915396497c9e49e04</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>getString</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>eb8248760c78ef1feb8fa39def11bcfe</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPEntryInfo</name>
    <filename>classMCOPEntryInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>b139521c7e1fa13c5d072a08afe5ea84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>6628bf12481aa3644edd96135d5957ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>d624477b250a3a7b209729444d1322e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>31434deaf27f032fc17034e82269b880</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>0322a957dd710016cf8608c11b438cd0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>signatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>ece9d6cc32df8347b3010d7486837d7b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>2b80f561ad1cdfcad55e901e9ca2a269</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>446d054bead8472a9ff906b403179591</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>144239dfaf8910c62e006d4f68e1f26c</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>486bace32e3b978a234ad2e5696bd42b</anchor>
      <arglist>(QCStringList s)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Arts</name>
    <filename>namespaceArts.html</filename>
    <class kind="class">Arts::KDataRequest_impl</class>
    <class kind="class">Arts::KIOInputStream_impl</class>
    <member kind="function">
      <type></type>
      <name>REGISTER_IMPLEMENTATION</name>
      <anchorfile>namespaceArts.html</anchorfile>
      <anchor>c187d34d674051864bb4e96feadc63ef</anchor>
      <arglist>(KIOTestSlow_impl)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_impl</name>
    <filename>classArts_1_1KDataRequest__impl.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>3812a468a36b450d870670b8a1b848b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>19f92b263acd0997f0b1e270dbc77a6e</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>ef9a155d28c513232bab81d470db81b2</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>d5214f41572115eb3c0e9fb06bb118e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>1206d4db0ff79d6400d2f92edf68d876</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>7dd64974047039e416e3ae9bdd052d17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>d3048a7c96b6ed9b447eeaddf603e263</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateBlock</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>52779a29cbf2e20af7b40bda034de601</anchor>
      <arglist>(unsigned long samples)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>aae0e8d178038990994d9441103f45d5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_impl</name>
    <filename>classArts_1_1KIOInputStream__impl.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>mimeTypeFound</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>38699a63f27faa296cdc06f767ad80c2</anchor>
      <arglist>(const QString &amp;mimetype)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>5711b52402136190783cce3d7c206abd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>f55586922f573c91eb250d4bef742f73</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>de6ce11a77094e19f1fd4ec27b8f4a3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>9fdcb592983aa89a3b9ca6555fec6219</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>b0dba021b2252760fa5481cb1afc7ac9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>seekOk</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>c3e148cba0f4e02cb9dbd217549294af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>size</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>1263bf10abd84df5ab317ce0903e8a78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>seek</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>b12f6967bcefdd9cc29ecd65cf38c5ed</anchor>
      <arglist>(long)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>7eccb8e37bfb04843f0c1165634a81fb</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processQueue</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>0ec0f8c80ba6312684022a37ade6d1f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>request_outdata</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>bf153d6c9434b0c8fb1e45633a7f060f</anchor>
      <arglist>(DataPacket&lt; mcopbyte &gt; *packet)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>1eea3bd2e1bed7884b23895c31a54765</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a1857afc7c8c82b804af767284a956ed</anchor>
      <arglist>(long i)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>93efe0d9375c498c080d44423bc9fd39</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObject</name>
    <filename>classKDE_1_1PlayObject.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>c3ca2ec21f0485f0e3f34fe80ed15bd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObject</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e35f1df6680d678d8fa064b6b5880a3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>ecf5775aaf6858ef57708d673bfb5403</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>456b96d58ab582edee42c596f09b431e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a954829a7d0a82187cb8b0ca6ca56c42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>eb541db7b499c0d9672137879eb38717</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>10494541901aedc94748f447ee5232ca</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>9df87f5ad9925634efba5acd5e25eb65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>526594dac59681c43b6fa8aeb57d605e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a16f15a989d468f14faa659afd9add41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>4b6902ac6d910711914c0d778d188932</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>1b4b184f6c6d97f20bdac2af377905c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e22556e060e861191a1130913021420d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e369a56ec5040ee47ed1131f53968e17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e93284f77ea7cd574477f90411536d9d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>KDE::PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>8a89fb5cc31f74c56c5b73defb3e4da1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectCreator</name>
    <filename>classKDE_1_1PlayObjectCreator.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>d723dda3b114b00e1d170b3e9db0a8f0</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>98e6521e51dc3beb24818ce423973834</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>73572dddc9915ac9fdcae61d33a06fbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>create</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>6e1061a32b10c185023b0ec48a27e643</anchor>
      <arglist>(const KURL &amp;url, bool createBUS, const QObject *receiver, const char *slot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectFactory</name>
    <filename>classKDE_1_1PlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>db1f1bb1f4a8f5aef0c33218577dbdd5</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>61d5f15771904da0812f72022a427acc</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>3e9fa7fab69d5f03ad35f40a9c4b84a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioManagerPlay</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>2ff0ca6579b7717c6e3620915afa230e</anchor>
      <arglist>(KAudioManagerPlay *amanplay)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>3d88ff0873b48f216035b897d5980424</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>7d8bd645c883eb0bd6219fca85f7030b</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a95793d59d4f63c5e3d1f6f6a10dfe86</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>8ed0b741a5dc87da4503c0c95bcd54e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>bd8e1977478fe731dd8bfe3bb489f8dd</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
</tagfile>
